
Installer - Bug #32323

Warning: postgresql.service changed on disk. Run 'systemctl daemon-reload' to reload units.
Description

Hi,

I keep getting the warning "postgresql.service changed on disk." during stopping and starting postgresql. service but running

systemctl daemon-reload doesnt not fix teh warning.

See steps below.  It happens with both foreman-maintain service commands and systemctl commands.

[root@katello ~]# foreman-maintain service stop

Running Stop Services ================================================================================

Check if command is run as root user:                                 [OK]

--------------------------------------------------------------------------------

Stop applicable services:

Stopping the following service(s):

rh-redis5-redis, postgresql, pulpcore-api, pulpcore-content, pulpcore-resource-manager, rh-redis5-redis, pulpcore-api.socket,

pulpcore-content.socket, smart_proxy_dynflow_core, tomcat, dynflow-sidekiq@orchestrator, foreman, httpd, puppetserver,

foreman.socket, dynflow-sidekiq@worker, dynflow-sidekiq@worker-hosts-queue, foreman-proxy

/ stopping pulpcore-content.socket

Warning: postgresql.service changed on disk. Run 'systemctl daemon-reload' to reload units.

- All services stopped                                                [OK]

--------------------------------------------------------------------------------

[root@katello ~]# systemctl daemon-reload

[root@katello ~]# foreman-maintain service start

Running Start Services ================================================================================

Check if command is run as root user:                                 [OK]

--------------------------------------------------------------------------------

Start applicable services:

Starting the following service(s):

rh-redis5-redis, postgresql, pulpcore-api, pulpcore-content, pulpcore-resource-manager, rh-redis5-redis, smart_proxy_dynflow_core,

tomcat, dynflow-sidekiq@orchestrator, foreman, httpd, puppetserver, dynflow-sidekiq@worker,

dynflow-sidekiq@worker-hosts-queue, foreman-proxy | starting rh-redis5-redis

Warning: postgresql.service changed on disk. Run 'systemctl daemon-reload' to reload units.

- All services started                                                [OK]

--------------------------------------------------------------------------------

[root@katello ~]# systemctl status postgresql

● rh-postgresql12-postgresql.service - PostgreSQL database server

Loaded: loaded (/usr/lib/systemd/system/rh-postgresql12-postgresql.service; enabled; vendor preset: disabled)

Active: active (running) since Thu 2021-04-15 10:58:59 BST; 19min ago

Process: 22985 ExecStartPre=/opt/rh/rh-postgresql12/root/usr/libexec/postgresql-check-db-dir %N (code=exited,

status=0/SUCCESS)

Main PID: 22990 (postmaster)

Tasks: 59
CGroup: /system.slice/rh-postgresql12-postgresql.service

├─22990 postmaster -D /var/opt/rh/rh-postgresql12/lib/pgsql/data

├─22994 postgres: logger

├─22996 postgres: checkpointer

├─22997 postgres: background writer

├─22998 postgres: walwriter

├─22999 postgres: autovacuum launcher

├─23000 postgres: stats collector

├─23001 postgres: logical replication launcher

├─23045 postgres: pulp pulpcore ::1(33270) idle

├─23073 postgres: pulp pulpcore ::1(33280) idle

├─23275 postgres: pulp pulpcore ::1(33336) idle

├─23280 postgres: pulp pulpcore ::1(33338) idle

├─23283 postgres: pulp pulpcore ::1(33340) idle

├─23288 postgres: pulp pulpcore ::1(33342) idle

├─23290 postgres: pulp pulpcore ::1(33348) idle

├─23291 postgres: pulp pulpcore ::1(33350) idle

├─23293 postgres: pulp pulpcore ::1(33352) idle

├─23294 postgres: pulp pulpcore ::1(33354) idle

├─23300 postgres: pulp pulpcore ::1(33360) idle

├─23301 postgres: pulp pulpcore ::1(33362) idle

├─23302 postgres: pulp pulpcore ::1(33368) idle

├─23303 postgres: pulp pulpcore ::1(33370) idle

├─23307 postgres: pulp pulpcore ::1(33372) idle

├─23309 postgres: pulp pulpcore ::1(33378) idle

├─23312 postgres: pulp pulpcore ::1(33380) idle

├─23318 postgres: pulp pulpcore ::1(33394) idle

├─23321 postgres: pulp pulpcore ::1(33404) idle

├─23322 postgres: pulp pulpcore ::1(33406) idle

├─23328 postgres: pulp pulpcore ::1(33408) idle

├─23329 postgres: pulp pulpcore ::1(33414) idle

├─23330 postgres: pulp pulpcore ::1(33416) idle

├─23331 postgres: pulp pulpcore ::1(33418) idle

├─23337 postgres: pulp pulpcore ::1(33428) idle

├─23339 postgres: pulp pulpcore ::1(33434) idle

├─23469 postgres: candlepin candlepin 127.0.0.1(54362) idle

├─23470 postgres: candlepin candlepin 127.0.0.1(54365) idle

├─23471 postgres: candlepin candlepin 127.0.0.1(54364) idle

├─23584 postgres: foreman foreman [local] idle

├─23593 postgres: foreman foreman [local] idle

├─23598 postgres: foreman foreman [local] idle

├─23599 postgres: foreman foreman [local] idle

├─23621 postgres: foreman foreman [local] idle

├─23622 postgres: foreman foreman [local] idle

├─23626 postgres: foreman foreman [local] idle

├─23630 postgres: foreman foreman [local] idle

├─23631 postgres: foreman foreman [local] idle

├─23632 postgres: foreman foreman [local] idle

├─23782 postgres: foreman foreman [local] idle

├─23788 postgres: foreman foreman [local] idle

├─23790 postgres: foreman foreman [local] idle

├─23791 postgres: foreman foreman [local] idle

├─23802 postgres: foreman foreman [local] idle

├─23803 postgres: foreman foreman [local] idle

├─24443 postgres: foreman foreman [local] idle

├─24836 postgres: candlepin candlepin 127.0.0.1(54472) idle

├─24837 postgres: candlepin candlepin 127.0.0.1(54474) idle

├─24838 postgres: candlepin candlepin 127.0.0.1(54476) idle

├─24839 postgres: candlepin candlepin 127.0.0.1(54478) idle

└─24840 postgres: candlepin candlepin 127.0.0.1(54480) idle

Apr 15 10:58:58 katello.mnsmithuk systemd

1

: Starting PostgreSQL database server...

Apr 15 10:58:59 katello.mnsmithuk sh

22990

: 2021-04-15 10:58:59 BST LOG:  starting PostgreSQL 12.5 on x86_...-bit

Apr 15 10:58:59 katello.mnsmithuk sh

22990

: 2021-04-15 10:58:59 BST LOG:  listening on IPv6 address "::1",...5432

Apr 15 10:58:59 katello.mnsmithuk sh

22990

: 2021-04-15 10:58:59 BST LOG:  listening on IPv4 address "127.0...5432

Apr 15 10:58:59 katello.mnsmithuk sh

22990

: 2021-04-15 10:58:59 BST LOG:  listening on Unix socket "/var/r...432"

Apr 15 10:58:59 katello.mnsmithuk sh

22990

: 2021-04-15 10:58:59 BST LOG:  listening on Unix socket "/tmp/....432"
Apr 15 10:58:59 katello.mnsmithuk sh

22990

: 2021-04-15 10:58:59 BST LOG:  redirecting log output to loggin...cess

Apr 15 10:58:59 katello.mnsmithuk sh

22990

: 2021-04-15 10:58:59 BST HINT:  Future log output will appear i...og".

Apr 15 10:58:59 katello.mnsmithuk systemd

1

: Started PostgreSQL database server.

Warning: rh-postgresql12-postgresql.service changed on disk. Run 'systemctl daemon-reload' to reload units.

Hint: Some lines were ellipsized, use -l to show in full.

[root@katello ~]# systemctl daemon-reload

[root@katello ~]# systemctl restart postgresql

Warning: postgresql.service changed on disk. Run 'systemctl daemon-reload' to reload units.

[root@katello ~]# systemctl status postgresql

● rh-postgresql12-postgresql.service - PostgreSQL database server

Loaded: loaded (/usr/lib/systemd/system/rh-postgresql12-postgresql.service; enabled; vendor preset: disabled)

Active: active (running) since Thu 2021-04-15 11:19:34 BST; 18s ago

Process: 24953 ExecStartPre=/opt/rh/rh-postgresql12/root/usr/libexec/postgresql-check-db-dir %N (code=exited,

status=0/SUCCESS)

Main PID: 24956 (postmaster)

Tasks: 11

CGroup: /system.slice/rh-postgresql12-postgresql.service

├─24956 postmaster -D /var/opt/rh/rh-postgresql12/lib/pgsql/data

├─24961 postgres: logger

├─24963 postgres: checkpointer

├─24964 postgres: background writer

├─24965 postgres: walwriter

├─24966 postgres: autovacuum launcher

├─24967 postgres: stats collector

├─24968 postgres: logical replication launcher

├─24970 postgres: candlepin candlepin 127.0.0.1(54482) idle

├─24971 postgres: candlepin candlepin 127.0.0.1(54484) idle

└─24973 postgres: foreman foreman [local] idle

Apr 15 11:19:34 katello.mnsmithuk systemd

1

: Starting PostgreSQL database server...

Apr 15 11:19:34 katello.mnsmithuk sh

24956

: 2021-04-15 11:19:34 BST LOG:  starting PostgreSQL 12.5 on x86_...-bit

Apr 15 11:19:34 katello.mnsmithuk sh

24956

: 2021-04-15 11:19:34 BST LOG:  listening on IPv6 address "::1",...5432

Apr 15 11:19:34 katello.mnsmithuk sh

24956

: 2021-04-15 11:19:34 BST LOG:  listening on IPv4 address "127.0...5432

Apr 15 11:19:34 katello.mnsmithuk sh

24956

: 2021-04-15 11:19:34 BST LOG:  listening on Unix socket "/var/r...432"

Apr 15 11:19:34 katello.mnsmithuk sh

24956

: 2021-04-15 11:19:34 BST LOG:  listening on Unix socket "/tmp/....432"

Apr 15 11:19:34 katello.mnsmithuk sh

24956

: 2021-04-15 11:19:34 BST LOG:  redirecting log output to loggin...cess

Apr 15 11:19:34 katello.mnsmithuk sh

24956

: 2021-04-15 11:19:34 BST HINT:  Future log output will appear i...og".

Apr 15 11:19:34 katello.mnsmithuk systemd

1

: Started PostgreSQL database server.

Warning: rh-postgresql12-postgresql.service changed on disk. Run 'systemctl daemon-reload' to reload units.

Hint: Some lines were ellipsized, use -l to show in full.

Associated revisions

Revision 8d7fb8ef - 03/29/2022 10:46 AM - Ewoud Kohl van Wijngaarden

Fixes #32323 - Correct PostgreSQL service name on EL7

While we do install the -server-syspaths package (which allows using the

non-SCL name), due to implementation details the systemd override files

must be created on the original name. Otherwise they do not have any

effect and only generate warnings.

See https://bugzilla.redhat.com/show_bug.cgi?id=1964394#c3 for a

detailed analysis.

History

#1 - 04/21/2021 05:39 PM - Samir Jha

- Project changed from Katello to Installer

#2 - 08/23/2021 01:04 PM - Ewoud Kohl van Wijngaarden

- Bugzilla link set to 1964394

- Found in Releases 3.0.0 added

- Found in Releases deleted (Katello 4.0.0)

See https://bugzilla.redhat.com/show_bug.cgi?id=1964394#c3 for a more detailed analysis.
#3 - 03/17/2022 10:29 AM - The Foreman Bot

- Status changed from New to Ready For Testing

- Assignee set to Evgeni Golov

- Pull request https://github.com/theforeman/puppet-foreman/pull/1037 added

#4 - 03/23/2022 02:33 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/756 added

#5 - 03/29/2022 10:29 AM - Evgeni Golov

- Assignee changed from Evgeni Golov to Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/puppet-foreman/pull/1037)

#6 - 03/29/2022 10:47 AM - The Foreman Bot

- Fixed in Releases 3.3.0 added

#7 - 03/29/2022 11:01 AM - Ewoud Kohl van Wijngaarden

- Status changed from Ready For Testing to Closed

Applied in changeset installer|8d7fb8ef47ffaf1023ffe8ade3db581ed5b1b655.
